VCMD0028040100000000COMPONENT          
Node "rSimResource"
{
Name "Mechanism"
Id 1
NodeClass 
{
Id 1
Feature "rGeoFeature"
{
Name "Static"

ContentOffset 1 4.42308459494e-037 -2.46519032882e-032 0 2.46519032882e-032 5.71078737691e-016 1 0 4.42308459508e-037 -1 5.71078737691e-016 0 29.102 35.5 8 1 
Visible 1

Uri "static"
OnDemandLoad 0
UseBackfaces 0
MaterialInheritance "Disabled"
}
VCID "a1447e10-7250-45ca-a843-6ee07ce2fee6"
}
Functionality "rSimKinController"
{
Id 1
Name "ServoController"
Joints
{
  JointInfo
  {
    Index 0
    DofObject "J1"
  }
  JointInfo
  {
    Index 1
    DofObject "J2"
  }
  JointInfo
  {
    Index 2
    DofObject "J3"
  }
}
DummyDofs
{
}
UseHeartbeat 0
HeartRate 0
UsePhysicalHeartbeat 0
RootNode "Mechanism"
FlangeNode "Zylinderkolben"
}
Functionality "rPythonScript"
{
Id 2
Name "PythonScript"
Script "from vcScript import *
\n
\ncomp = getComponent()
\nServoController = comp.findBehaviour('ServoController')
\n
\ndef OnRun():
\n  while True:
\n    ServoController.move(90.0,90.0,90.0)
\n    delay(1)
\n    ServoController.move(0.0,0.0,0.0)
\n    delay(1)
\n "
CompatibilityMode 0
}
VCID a1447e10-7250-45ca-a843-6ee07ce2fee6
OriginalUri vcid:a1447e10-7250-45ca-a843-6ee07ce2fee6
Revision 6
Location 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 
ActiveSimulationLevel detailed
BackfaceMode on
BOMname  "Mechanism"

BOMdescription  "Mechanism"

Category  ""

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
}
Node "rSimLink"
{
Name "MoveablePlate"
Id 2
NodeClass 
{
Id 2
Feature "rGeoFeature"
{
Name "MoveablePlate"

ContentOffset 0.869859044111 -2.15246208886e-015 0.493300358178 0 2.63580336302e-015 1 -2.84441927986e-016 0 -0.493300358178 1.54766712665e-015 0.869859044111 0 -24.5481794277 2.53856255729e-014 61.6114180711 1 
Visible 1

Uri "5_6"
OnDemandLoad 0
UseBackfaces 0
MaterialInheritance "Disabled"
}
}
Dof  "Custom"
{
  Name "J1"
  Properties
  {
    Variable "rTExpressionVariable<rDouble>"
    {
      Name "SoftMinLimit"
      Value
      {
        Expression ""
      }
      Group 33
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
      }
    }
    Variable "rTExpressionVariable<rDouble>"
    {
      Name "SoftMaxLimit"
      Value
      {
        Expression ""
      }
      Group 34
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
      }
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxSpeed"
      Value 100
      Group 35
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Speed" "ScalarQuantity"
      {
        Groups
        {
          UnitGroup "US Speed"
          {
            Unit
            {
              Name "feet per minute"
              Suffix "fpm"
              Factor 5.07999992370605
              Offset 0
            }
            Family "US degrees"
            Family "a"
          }
          UnitGroup "mm/min"
          {
            Unit
            {
              Name "dfdf"
              Suffix "m/min"
              Factor 1
              Offset 0
            }
          }
        }
      }
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxAcceleration"
      Value 500
      Group 36
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Acceleration"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxDeceleration"
      Value 500
      Group 37
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Acceleration"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "LagTime"
      Value 0
      Group 41
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Time"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "SettleTime"
      Value 0
      Group 42
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Time"
      Magnitude 1
    }
  }
  JointValue 0
  MinLimit
  {
    Expression "0"
  }
  MaxLimit
  {
    Expression "90"
  }
  Joint
  {
    Expression "Ry(-J1)"
  }
  Pivot
  {
    Expression "Tx(-75).Tz(33)"
  }
  JointServoType 1
}
Offset 
{
  Expression ""
}
}
Node "rSimLink"
{
Name "Zylinder"
Id 3
NodeClass 
{
Id 3
Feature "rGeoFeature"
{
Name "Zylinder"

ContentOffset -1.85837622709e-015 1 -1.79628106021e-015 0 -0.811655458885 -4.59087931003e-016 0.58413647041 0 0.58413647041 2.54350665819e-015 0.811655458885 0 7.91617359985 2.65709444069e-014 38.2472651687 1 
Visible 1

Uri "_din-439-b_-_m10x1.25_f__-_1376423_dsbc-32-40-ppva-n3_18__1"
OnDemandLoad 0
UseBackfaces 0
MaterialInheritance "Disabled"
}
}
Dof  "Custom"
{
  Name "J2"
  Properties
  {
    Variable "rTExpressionVariable<rDouble>"
    {
      Name "SoftMinLimit"
      Value
      {
        Expression ""
      }
      Group 33
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
      }
    }
    Variable "rTExpressionVariable<rDouble>"
    {
      Name "SoftMaxLimit"
      Value
      {
        Expression ""
      }
      Group 34
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
      }
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxSpeed"
      Value 100
      Group 35
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Speed"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxAcceleration"
      Value 500
      Group 36
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Acceleration"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxDeceleration"
      Value 500
      Group 37
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Acceleration"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "LagTime"
      Value 0
      Group 41
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Time"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "SettleTime"
      Value 0
      Group 42
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Time"
      Magnitude 1
    }
  }
  JointValue 0
  MinLimit
  {
    Expression "-180.0"
  }
  MaxLimit
  {
    Expression "180.0"
  }
  Joint
  {
    Expression "Ry((((asin((58*sin((VALUE+35.044)*0.01745))/(sqrt(58*58+104.\
581*104.581-2*58*104.581*cos((VALUE+35.044)*0.01745)))))*57.296)-30.255))"
  }
  Pivot
  {
    Expression "Tx(29.102).Tz(23)"
  }
  JointServoType 1
}
Offset 
{
  Expression ""
}
Node "rSimLink"
{
Name "Zylinderkolben"
Id 4
NodeClass 
{
Id 4
Feature "rGeoFeature"
{
Name "Zylinderkolben"

ContentOffset -1.85837622709e-015 1 -1.79627973066e-015 0 -0.811655458885 -4.59088707642e-016 0.58413647041 0 0.58413647041 2.54350557906e-015 0.811655458885 0 7.91754384537 2.65708141661e-014 38.245968373 1 
Visible 1

Uri "_din-439-b_-_m10x1.25_f__-_1376423_dsbc-32-40-ppva-n3_18__2"
OnDemandLoad 0
UseBackfaces 0
MaterialInheritance "Disabled"
}
}
Dof  "Custom"
{
  Name "J3"
  Properties
  {
    Variable "rTExpressionVariable<rDouble>"
    {
      Name "SoftMinLimit"
      Value
      {
        Expression ""
      }
      Group 33
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
      }
    }
    Variable "rTExpressionVariable<rDouble>"
    {
      Name "SoftMaxLimit"
      Value
      {
        Expression ""
      }
      Group 34
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
      }
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxSpeed"
      Value 100
      Group 35
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Speed"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxAcceleration"
      Value 500
      Group 36
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Acceleration"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxDeceleration"
      Value 500
      Group 37
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Acceleration"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "LagTime"
      Value 0
      Group 41
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Time"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "SettleTime"
      Value 0
      Group 42
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Time"
      Magnitude 1
    }
  }
  JointValue 0
  MinLimit
  {
    Expression "-180.0"
  }
  MaxLimit
  {
    Expression "180.0"
  }
  Joint
  {
    Expression "Tz(-(sqrt(58*58+104.581*104.581-2*58*104.581*cos((VALUE+35.0\
44)*0.01745))-66.099))"
  }
  Pivot
  {
    Expression "Ry(90+35.74200885)"
  }
  JointServoType 1
}
Offset 
{
  Expression ""
}
}
}
}
